pycassaShell(1)

NAME
pycassaShell - interactive Cassandra python shell

SYNOPSIS
pycassaShell [OPTIONS]

DESCRIPTION
pycassaShell is an interactive Cassandra python shell. It is useful for exploring Cassandra, especially for those who are just beginning.

It is recommended that you have IPython, an enhanced interactive python shell, installed. pycassaShell will invoke ipython underneath to provide extra functionality if it is installed. However, it will still work without it.

When pycassaShell starts, it creates a ColumnFamily object for every existing column family in your Cassandra cluster and prints the names of the objects. You can use these to insert and retrieve data easily from Cassandra.

pycassaShell acts similarly to the standard Python (or IPython) REPL. To use, enter Python expressions at the prompt and hit Enter to see the results.

OPTIONS

-h, --help
    Show a help message and exit

-k KEYSPACE, --keyspace=KEYSPACE
    Name of the Cassandra keyspace to which pycassaShell should attach

-H HOST, --host=HOST
    Hostname of a Cassandra node

-p PORT, --port=PORT
    Thrift port number for that Cassandra node

-u USER, --user=USER
    Username (for simple auth)

-P PASSWD, --passwd=PASSWD
    Password (for simple auth)

-S, --streaming
    Use streaming transport (for Cassandra 0.6.x and below)

-F, --framed
    Use framed transport (for Cassandra 0.7.x and above). This is the default transport.

-f FILE, --file=FILE
    Run a script after startup

SEE ALSO
For more information on the interactive Python/IPython prompt, see python(1) or ipython(1).

For more information on the extra Pycassa objects made available in the pycassaShell environment, see /usr/share/doc/pycassa-doc/manual/pycassa_shell.html in the pycassa-doc package.

AUTHOR
Tyler Hobbs <pycassa.maintainer@gmail.com>